=head1 NAME

Gtk2::EntryBuffer - wrapper for GtkEntryBuffer

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::EntryBuffer



=cut

=for apidoc
=for position DESCRIPTION

The B<Gtk2::EntryBuffer> class contains the actual text displayed in a
L<Gtk2::Entry> widget.

A single Gtk2::EntryBuffer object can be shared by multiple Gtk2::Entry
widgets which will then share the same text content, but not the cursor
position, visibility attributes, icon etc.

Gtk2::EntryBuffer may be derived from. Such a derived class might allow
text to be stored in an alternate location, such as non-pageable memory,
useful in the case of important passwords. Or a derived class could
integrate with an application's concept of undo/redo.

=cut




=head1 METHODS

=head2 entrybuffer = Gtk2::EntryBuffer->B<new> ($initial_chars=undef)

=over

=item * $initial_chars (string) 

=back



=head2 unsigned = $buffer-E<gt>B<get_bytes> 

=head2 integer = $buffer-E<gt>B<delete_text> ($position=0, $n_chars=-1)

=over

=item * $position (integer) 

=item * $n_chars (integer) 

=back

=head2 $buffer-E<gt>B<emit_deleted_text> ($position, $n_chars)

=over

=item * $position (integer) 

=item * $n_chars (integer) 

=back

=head2 $buffer-E<gt>B<emit_inserted_text> ($position, $chars, $n_chars)

=over

=item * $position (integer) 

=item * $chars (string) 

=item * $n_chars (integer) 

=back

=head2 $buffer-E<gt>B<insert_text> ($position, $chars)

=over

=item * $position (integer) 

=item * $chars (string) 

=back

=head2 integer = $buffer-E<gt>B<get_length> 

=head2 integer = $buffer-E<gt>B<get_max_length> 

=head2 $buffer-E<gt>B<set_max_length> ($max_length)

=over

=item * $max_length (integer) 

=back

=head2 string = $buffer-E<gt>B<get_text> 

=head2 $buffer-E<gt>B<set_text> ($chars)

=over

=item * $chars (string) 

=back



=cut


=head1 PROPERTIES

=over

=item 'length' (Glib::UInt : default 0 : readable / private)

Length of the text currently in the buffer

=item 'max-length' (integer : default 0 : readable / writable / private)

Maximum number of characters for this entry. Zero if no maximum

=item 'text' (string : default "" : readable / writable / private)

The contents of the buffer

=back



=cut


=head1 SIGNALS

=over

=item B<deleted-text> (Gtk2::EntryBuffer, Glib::UInt, Glib::UInt)

=item B<inserted-text> (Gtk2::EntryBuffer, Glib::UInt, string, Glib::UInt)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

